> ## Documentation Index
> Fetch the complete documentation index at: https://docs.api.stuut.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update An Email Template



## OpenAPI

````yaml /openapi.json post /v1/email-templates/{email_template_id}
openapi: 3.0.3
info:
  contact:
    name: Stuut Support
    url: https://stuut.ai
    email: devs@stuut.co
  termsOfService: https://stuut.ai/terms-and-conditions
  title: Stuut API
  version: 0.1.0
servers:
  - url: http://api.stuut.ai
security: []
tags:
  - name: Analytics
  - name: Bank Accounts
  - name: Bank Statements
  - name: Bank Transactions
  - name: Call Agents
  - name: Call Agent Scenarios
  - name: Calls
  - name: Contact Suggestions
  - name: demo
  - name: Email Senders
  - name: Email Templates
  - name: Email Template Folders
  - name: Email Threads
  - name: Emails
  - name: Files
  - name: Invoices
  - name: Notes
  - name: Organizations
  - name: Outreach Workflows
  - name: Partners
  - name: Partner Contacts
  - name: Payments
  - name: Phone Numbers
  - name: Plaid
  - name: Profile
  - name: Pusher
  - name: Remittances
  - name: Tags
  - name: Tasks
  - name: User Invites
  - name: Users
paths:
  /v1/email-templates/{email_template_id}:
    post:
      tags:
        - Email Templates
      summary: Update An Email Template
      operationId: email_template.update
      parameters:
        - in: path
          name: email_template_id
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateEmailTemplate'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmailTemplate'
          description: Successful response
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StuutErrorHTTP'
          description: Authentication error
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StuutErrorHTTP'
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          description: Validation error
      security:
        - BearerAuth: []
components:
  schemas:
    UpdateEmailTemplate:
      type: object
      properties:
        body:
          type: string
        cc:
          type: array
          items:
            type: string
            format: email
        is_default:
          type: boolean
        name:
          type: string
        subject:
          type: string
        auto_correct:
          type: boolean
        folder:
          type: string
          description: The `EmailTemplateFolder` identifier, (e.g. `etf_abc123`).
    EmailTemplate:
      type: object
      properties:
        id:
          type: string
          maxLength: 32
        attachments:
          type: array
          items:
            $ref: '#/components/schemas/Attachment'
        auto_correct:
          type: boolean
        body:
          type: string
          nullable: true
        cc:
          type: array
          items:
            type: string
        created_at:
          type: string
          format: date-time
        folder:
          $ref: '#/components/schemas/EmailTemplateFolderPartial'
        folder_id:
          type: string
          maxLength: 32
          nullable: true
        is_default:
          type: boolean
          description: Whether this is the default email template.
        modified_at:
          type: string
          format: date-time
          nullable: true
        name:
          type: string
          maxLength: 128
          description: The name of the email template.
          nullable: true
        object:
          type: string
        preview_body:
          readOnly: true
        preview_subject:
          readOnly: true
        subject:
          type: string
          description: The subject of the email template.
          nullable: true
      required:
        - object
    StuutErrorHTTP:
      type: object
      properties:
        data:
          type: object
          additionalProperties: {}
        error:
          type: string
        message:
          type: string
      required:
        - data
        - error
        - message
    ValidationError:
      properties:
        detail:
          type: object
          properties:
            <location>:
              type: object
              properties:
                <field_name>:
                  type: array
                  items:
                    type: string
        message:
          type: string
      type: object
    Attachment:
      type: object
      properties:
        id:
          type: string
          maxLength: 32
        content_id:
          type: string
          nullable: true
        created_at:
          type: string
          format: date-time
        disposition:
          type: string
        file_type:
          maxLength: 8
          enum:
            - audio
            - document
            - gif
            - image
            - video
        is_verified:
          type: boolean
        mime_type:
          type: string
        modified_at:
          type: string
          format: date-time
          nullable: true
        name:
          type: string
        object:
          type: string
        organization_id:
          type: string
          maxLength: 32
        presigned_url:
          type: string
          nullable: true
        presigned_url_expires_at:
          type: string
          format: date-time
          nullable: true
        purpose:
          type: string
          description: The use case for this attachment
          nullable: true
        remote_id:
          type: string
          description: The address' third party API ID.
          nullable: true
        size:
          type: integer
          nullable: true
        src:
          readOnly: true
        user_id:
          type: string
          maxLength: 32
          nullable: true
      required:
        - file_type
        - mime_type
        - name
        - object
        - organization_id
    EmailTemplateFolderPartial:
      type: object
      properties:
        id:
          type: string
          maxLength: 32
        created_at:
          type: string
          format: date-time
        modified_at:
          type: string
          format: date-time
          nullable: true
        name:
          type: string
          maxLength: 256
          description: The name of the email template folder.
        object:
          type: string
      required:
        - name
        - object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````